
.nolist
#include	"asm83.inc"
#include	"sos.inc"

#define	hilightpos		sram		;1 byte
#define	addressPTR		sram+1	;2
#define	mode			sram+3	;1
#define	tempAdd		sram+4	;2
#define	screenw		sram+6	;1
#define	temp			sram+7	;1
#define	endAddress		sram+8	;2
#define	temp2			sram+10	;1
#define	progp			sram+11	;2
#define	progaddress		sram+13	;2
#define	progdata		sram+55	;2

.list
.org	$9327


	xor	a
	jr	ProgStart
	.dw	$0000
	.dw	Description

ProgStart:
	ld	(hilightpos),a
;	ld	a,1
	ld	(mode),a
	ld	de,$8500
	ld	(addressPTR),de
	ld	a,1
	ld	(screenw),a
	set	7,(iy+20)

	jp	Restart
.db	"this is text",0

.db $FF
.db $F1
.db $F1
.db $F1
.db $8F
.db $8F
.db $8F
.db $FF

ReStart:
	call	_clrlcd
	call	_bufclr
interim:
	ld	a,3
	ld	e,17
	ld	b,6
	ld	c,21
	ld	hl,Mtitle
	call	OpenWindow

	ld	hl,Menu
	ld	de,24*256+26
	ld	(pencol),de
	call	_vputs
	ld	de,31*256+26
	ld	(pencol),de
	call	_vputs
	ld	de,38*256+26
	ld	(pencol),de
	call	_vputs

mloop1:
	call	hilight
	call	_bufcopy
kloop:
	call	$4014
	cp	$04
	jr	z,mainup
	cp	$01
	jr	z,miandown
	cp	$36
	jr	z,exec
	jr	kloop

mainup:
	call	hilight
	ld	a,(hilightpos)
	or	a
	jr	z,mloop1
	sub	7
	ld	(hilightpos),a
	jr	mloop1
miandown:
	call	hilight
	ld	a,(hilightpos)
	cp	7*2
	jr	z,mloop1
	add	a,7
	ld	(hilightpos),a
	jr	mloop1

exec:	ld	a,(hilightpos)
	or	a
	jp	z,ProgMenu
	cp	7*1
	jp	z,MemMenu
exit:	res	7,(iy+20)
	ret



hilight:
	ld	hl,plotsscreen+(12*24)+3
	ld	a,(hilightpos)
	or	a
	jr	z,okpos
	ld	b,a
	ld	de,12
gotopos:
	add	hl,de
	djnz	gotopos
okpos:

	ld	b,7
bhloop:
	push	bc

	ld	a,(hl)
	ld	e,%01111111
	xor	e
	ld	(hl),a
	inc	hl

	ld	b,6-2
hloop:
	ld	a,(hl)
	cpl
	ld	(hl),a
	inc	hl
	djnz	hloop

	ld	a,(hl)
	ld	e,%11111110
	xor	e
	ld	(hl),a
	inc	hl

	pop	bc
	ld	de,12-6
	add	hl,de
	djnz	bhloop

	ret



mainLoop:
	ld	a,$0ff
	out	(1),a
	ld	a,$0fe
	out	(1),a
	in	a,(1)
	cp	254
	jr	z,mDown
	cp	247
	jr	z,mUp

	ld	a,$0ff
	out	(1),a
	ld	a,$0bf
	out	(1),a
	in	a,(1)
	cp	191
	jp	z,interim
	cp	239
	jp	z,Disassembler
	cp	247
	jp	z,befHexViewer
	cp	254
	jp	z,befGraphViewer

	jr	mainLoop


mDown:
	ld	a,(mode)
	or	a
	jp	z,disDown
	dec	a
	jp	z,zhxDown
	dec	a
	jp	z,zghDown

mUp:
	ld	a,(mode)
	or	a
	jp	z,disUp
	dec	a
	jp	z,zhxUp
	dec	a
	jp	z,zghUp




ChooseViewers:
	ld	a,(mode)
	or	a
	jp	z,Disassembler
	dec	a
	jp	z,befHexViewer
	dec	a
	jp	z,GraphViewer
	ret




Description:	.db	"Diz 0.5",$00
Mtitle:		.db	"MENU",0
Menu:			.db	"Program",0
			.db	"ROM/RAM",0
			.db	"Exit",0



#include	"zds.asm"
#include	"zhx.asm"
#include	"zgh.asm"

#include	"opcodes.h"
#include	"hex.h"
#include	"window.h"


.end
