;Program Name:  TI-83 Key Press Include File
;Language:      Z80 Assembler Include File
;Source Name:   KEYS.INC
;Platform:      TI-83
;Author:        Emir Sakic
;Publish Date:  January, 1999
;Copyright:     (c) 1999 Emir Sakic

;***********************************
;*Key Presses Using _getkey command*
;***********************************

;***************
;*1st Functions*
;***************

kDown           .equ    04h
kLeft           .equ    02h
kRight          .equ    01h
kUp             .equ    03h
kEnter          .equ    05h
kAdd            .equ    80h
kSub            .equ    81h
kMul            .equ    82h
kDiv            .equ    83h
kExpon          .equ    84h
kClear          .equ    09h
kChs            .equ    8Ch
k3              .equ    91h
k6              .equ    94h
k9              .equ    97h
kRParen         .equ    86h
kTan            .equ    187
kVARS           .equ    35h
kDecPnt         .equ    8Dh
k2              .equ    90h
k5              .equ    93h
k8              .equ    96h
kLParen         .equ    85h
kCos            .equ    185
kPrgm           .equ    2Dh
kStat           .equ    31h
k0              .equ    8Eh
k1              .equ    8Fh
k4              .equ    92h
k7              .equ    95h
kCOMMA          .equ    8Bh
kSin            .equ    183
kMATRIX         .equ    37h
kVarx           .equ    180
kStore          .equ    8Ah
kLN             .equ    191
kLOG            .equ    193
kSQUARE         .equ    189
kINV            .equ    182
kMATH           .equ    32h
kGRAPH          .equ    44h
kTRACE          .equ    5Ah
kZOOM           .equ    2Eh
kWINDOW         .equ    48h
kYEQU           .equ    49h
kMODE           .equ    45h
kDEL            .equ    0Ah

;***************
;*2nd Functions*
;***************

kBOL            .equ    0Eh
kEOL            .equ    0Fh

kLastEnt        .equ    0Dh
kMem            .equ    36h
kRBRACK         .equ    88h
kLBRACK         .equ    87h
kCONSTeA        .equ    239
kPi             .equ    181

kANS            .equ    197
kL3A            .equ    245
kL6A            .equ    248
kWNA            .equ    251
kRBraceE        .equ    237
kATan           .equ    188
kDIST           .equ    38h

ki              .equ    238
kL2A            .equ    244
kL5A            .equ    247
kVNA            .equ    250
kLBracE         .equ    236
kACos           .equ    186
kDRAW           .equ    2Fh
kLIST           .equ    3Ah

kCATALOG        .equ    3Eh
kL1A            .equ    243
kL4A            .equ    246
kUNA            .equ    249
kEE             .equ    98h
kASin           .equ    184
kANGLE          .equ    39h
kLinkIO         .equ    41h

kRecall         .equ    0Ch
kEXP            .equ    192
kALOG           .equ    194
kSQRT           .equ    190
kFIN            .equ    3Ch
kTEST           .equ    33h

kTABLE          .equ    4Ah
kCALC           .equ    3Bh
kFORMAT         .equ    57h
kTBLSET         .equ    4Bh
kSPLOT          .equ    30h

kQuit           .equ    40h
kINS            .equ    0Bh

;*****************
;*Alpha Functions*
;*****************

kALPHADOWN      .equ    08h
kALPHAUP        .equ    07h

kALPHAENTER     .equ    06h
kQUOTE          .equ    203
kCapA           .equ    9Ah
kCapB           .equ    9Bh
kCapC           .equ    9Ch
kCapD           .equ    9Dh

kQUEST          .equ    202
kTHETA          .equ    204
kCapE           .equ    9Eh
kCapF           .equ    9Fh
kCapG           .equ    160
kCapH           .equ    161

kcolon          .equ    198
kCapI           .equ    162
kCapJ           .equ    163
kCapK           .equ    164
kCapL           .equ    165
kCapM           .equ    166
kCapN           .equ    167

kSPACE          .equ    99h
kCapO           .equ    168
kCapP           .equ    169
kCapQ           .equ    170
kCapR           .equ    171
kCapS           .equ    172
kCapT           .equ    173
kCapU           .equ    174
kCapV           .equ    175
kCapW           .equ    176
kCapX           .equ    177
kCapY           .equ    178
kCapZ           .equ    179


;    This section of the Code is meant to be vieved in a DOS Text Editor.
;Just #include "keys.inc" just like you would any
;other include file.  The key names are the same as are the ones on TI's
;page.

